Index: admin/help.php
===================================================================
--- admin/help.php	(revision 491)
+++ admin/help.php	(revision 491)
@@ -0,0 +1,80 @@
+<?php
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+
+require dirname(__FILE__).'/../inc/admin/prepend.php';
+
+dcPage::check('usage');
+
+function helpPage()
+{
+	$args = func_get_args();
+	if (empty($args)) {
+		return;
+	};
+	
+	global $__resources;
+	if (empty($__resources['help'])) {
+		return;
+	}
+	
+	$content = '';
+	$title = '';
+	foreach ($args as $v)
+	{
+		if (is_object($v) && isset($v->content)) {
+			$content .= $v->content;
+			continue;
+		}
+		
+		if (!isset($__resources['help'][$v])) {
+			continue;
+		}
+		$f = $__resources['help'][$v];
+		if (!file_exists($f) || !is_readable($f)) {
+			continue;
+		}
+		
+		$fc = file_get_contents($f);
+		if (preg_match('|<body[^>]*?>(.*?)</body>|ms',$fc,$matches)) {
+			$content .= $matches[1];
+			if (preg_match('|<title[^>]*?>(.*?)</title>|ms',$fc,$matches)) {
+				$title = $matches[1];
+			}
+		} else {
+			$content .= $fc;
+		}
+	}
+	
+	if (trim($content) == '') {
+		return '';
+	}
+	
+	return ($title != '' ? ' > '.$title.'</h2>' : '</h2>').'<div id="mainhelp">'.$content.'</div>';
+}
+
+$help_page = !empty($_GET['page']) ? html::escapeHTML($_GET['page']) : 'core_main';
+$content = helpPage($help_page);
+
+/* DISPLAY
+-------------------------------------------------------- */
+dcPage::open(__('Global help'),
+	# --BEHAVIOR-- adminPostHeaders
+	$core->callBehavior('adminPostHeaders')
+);
+
+if (($content == '') || ($help_page == 'core_main')) {
+	$content = helpPage('core_main');
+}
+echo '<h2><a href="help.php">'.__('Global help').'</a>'.$content;
+
+dcPage::close();
+?>
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 489)
+++ inc/admin/lib.dc.page.php	(revision 491)
@@ -136,5 +136,6 @@
 		'</div>'.
 		'<div id="info-box2">'.
-		'<a'.(preg_match('/index.php$/',$_SERVER['REQUEST_URI']) ? ' class="active"' : '').' href="index.php">'.__('My dashboard').'</a>'.
+		'<a'.(preg_match('/help.php(\?.*)?$/',$_SERVER['REQUEST_URI']) ? ' class="active"' : '').' href="help.php">'.__('Global help').'</a>'.
+		'<span> | </span><a'.(preg_match('/index.php$/',$_SERVER['REQUEST_URI']) ? ' class="active"' : '').' href="index.php">'.__('My dashboard').'</a>'.
 		'<span> | </span><a'.(preg_match('/preferences.php(\?.*)?$/',$_SERVER['REQUEST_URI']) ? ' class="active"' : '').' href="preferences.php">'.__('My preferences').'</a>'.
 		'<span> | </span><a href="index.php?logout=1" class="logout">'.sprintf(__('Logout %s'),$core->auth->userID()).' <img src="images/logout.png" alt="" /></a>'.
Index: locales/en/help/main.html
===================================================================
--- locales/en/help/main.html	(revision 491)
+++ locales/en/help/main.html	(revision 491)
@@ -0,0 +1,29 @@
+<html>
+<head>
+	<title></title> <!-- Leave the title empty -->
+</head>
+
+<body>
+<h3>Welcome</h3>
+<ul>
+	<li><a href="help.php?page=core_user_pref">User preferences</a></li>
+</ul>
+<h3>Blog</h3>
+<ul>
+	<li><a href="help.php?page=core_post">Post edition</a></li>
+	<li><a href="help.php?page=core_posts">Posts management</a></li>
+	<li><a href="help.php?page=core_wiki">Wiki syntax</a></li>
+	<li><a href="help.php?page=core_comments">Comments and trackbacks management</a></li>
+	<li><a href="help.php?page=core_categories">Categories management</a></li>
+	<li><a href="help.php?page=core_media">Media manager</a></li>
+	<li><a href="help.php?page=core_blog_pref">Blog parameters</a></li>
+	<li><a href="help.php?page=themeEditor">Theme editor</a></li>
+	<li><a href="help.php?page=blowupConfig">Default theme configuration (Blowup)</a></li>
+</ul>
+<h3>System</h3>
+<ul>
+	<li><a href="help.php?page=core_user">User creation and management</a></li>
+</ul>
+
+</body>
+</html>
Index: locales/en/resources.php
===================================================================
--- locales/en/resources.php	(revision 270)
+++ locales/en/resources.php	(revision 491)
@@ -23,4 +23,5 @@
 
 $__resources['help'] = array(
+	'core_main' => dirname(__FILE__).'/help/main.html',
 	'core_blog_pref' => dirname(__FILE__).'/help/blog_pref.html',
 	'core_categories' => dirname(__FILE__).'/help/categories.html',
Index: locales/fr/help/core_main.html
===================================================================
--- locales/fr/help/core_main.html	(revision 491)
+++ locales/fr/help/core_main.html	(revision 491)
@@ -0,0 +1,29 @@
+<html>
+<head>
+  <title></title> <!-- Laissez le titre vide -->
+</head>
+
+<body>
+<h3>Bienvenue</h3>
+<ul>
+	<li><a href="help.php?page=core_user_pref">Préférences utilisateur</a></li>
+</ul>
+<h3>Blog</h3>
+<ul>
+	<li><a href="help.php?page=core_post">Édition de billet</a></li>
+	<li><a href="help.php?page=core_posts">Gestion des billets</a></li>
+	<li><a href="help.php?page=core_wiki">Syntaxe wiki</a></li>
+	<li><a href="help.php?page=core_comments">Gestion des commentaires et rétroliens</a></li>
+	<li><a href="help.php?page=core_categories">Gestion des catégories</a></li>
+	<li><a href="help.php?page=core_media">Gestionnaire de médias</a></li>
+	<li><a href="help.php?page=core_blog_pref">Paramètres du blog</a></li>
+	<li><a href="help.php?page=themeEditor">Éditeur de thème</a></li>
+	<li><a href="help.php?page=blowupConfig">Configuration du thème par défaut (Blowup)</a></li>
+</ul>
+<h3>Système</h3>
+<ul>
+	<li><a href="help.php?page=core_user">Création et gestion d'un utilisateur</a></li>
+</ul>
+
+</body>
+</html>
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 490)
+++ locales/fr/main.po	(revision 491)
@@ -795,4 +795,7 @@
 msgstr "Nouveau billet"
 
+msgid "Global help"
+msgstr "Aide générale"
+
 msgid "My dashboard"
 msgstr "Mon tableau de bord"
